.TH HG SERVE  "" "" ""
.SH NAME
hg serve \- start stand-alone webserver
.\" Man page generated from reStructuredText.
.
.SH SYNOPSIS
.sp
.nf
.ft C
hg serve [OPTION]...
.ft P
.fi
.SH DESCRIPTION
.sp
Start a local HTTP repository browser and pull server. You can use
this for ad\-hoc sharing and browsing of repositories. It is
recommended to use a real web server to serve a repository for
longer periods of time.
.sp
Please note that the server does not implement access control.
This means that, by default, anybody can read from the server and
nobody can write to it by default. Set the \fBweb.allow\-push\fP
option to \fB*\fP to allow everybody to push to the server. You
should use a real web server if you need to authenticate users.
.sp
By default, the server logs accesses to stdout and errors to
stderr. Use the \-A/\-\-accesslog and \-E/\-\-errorlog options to log to
files.
.sp
To have the server choose a free port number to listen on, specify
a port number of 0; in this case, the server will print the port
number it uses.
.sp
Returns 0 on success.
.SH OPTIONS
.INDENT 0.0
.TP
.BI \-A,  \-\-accesslog \ <FILE>
.
name of access log file to write to
.TP
.B \-d,  \-\-daemon
.
run server in background
.TP
.BI \-\-daemon\-postexec \ <VALUE[+]>
.
used internally by daemon mode
.TP
.BI \-E,  \-\-errorlog \ <FILE>
.
name of error log file to write to
.TP
.BI \-p,  \-\-port \ <PORT>
.
port to listen on (default: 8000)
.TP
.BI \-a,  \-\-address \ <ADDR>
.
address to listen on (default: all interfaces)
.TP
.BI \-\-prefix \ <PREFIX>
.
prefix path to serve from (default: server root)
.TP
.BI \-n,  \-\-name \ <NAME>
.
name to show in web pages (default: working directory)
.TP
.BI \-\-web\-conf \ <FILE>
.
name of the hgweb config file (see \(aqhg help hgweb\(aq)
.TP
.BI \-\-webdir\-conf \ <FILE>
.
name of the hgweb config file (DEPRECATED)
.TP
.BI \-\-pid\-file \ <FILE>
.
name of file to write process ID to
.TP
.B \-\-stdio
.
for remote clients (ADVANCED)
.TP
.BI \-\-cmdserver \ <MODE>
.
for remote clients (ADVANCED)
.TP
.BI \-t,  \-\-templates \ <TEMPLATE>
.
web templates to use
.TP
.BI \-\-style \ <STYLE>
.
template style to use
.TP
.B \-6,  \-\-ipv6
.
use IPv6 instead of IPv4
.TP
.BI \-\-certificate \ <FILE>
.
SSL certificate file
.TP
.B \-\-print\-url
.
start and print only the URL
.TP
.B \-S,  \-\-subrepos
.
recurse into subrepositories
.UNINDENT
.sp
[+] marked option can be specified multiple times
.\" Generated by docutils manpage writer.
.\" 
.
